---
tags:
  - PushService
description: Allows a user to receive browser notifications.
parameters:
  - in: header
    name: Authorization
    type: string
    required: true
  - in: body
    name: data
    type: object
    schema: {
      example: {
        "endpoint": "https://browser.com//path/to/push/service/endpoint",
        "expirationTime": null,
        "keys": {
          "auth": "abc34jghx3q0O-ccc5564jghx3q09", "p256dh": "c3Cuc5564jghx3q09ad0p2UTKmhG0Q"
        }
      }
    }
produces:
  - 'application/json'
responses:
  200:
    schema:
      type: object
      example: {
        "message": "Push Service subscription saved"
      }